Skip to main content

2FA config

General notes​

This is used for getting config about 2FA. It tells you, if 2FA is enabled and what service is used.

Content​

Available services​

  • Google Authenticator - google_authenticator

There is available only Google Authenticator now.

Getting Config​

Request​

GET /api/v0/two-factor-auth-config HTTP/1.1
Content-Type: application/json

Response​

GET /api/v0/ HTTP/1.1
Content-Type: application/json

{
"enabled": true,
"service": "google_authenticator"
}